%define contentdir /var/www

Summary:	Squid report generator per user/ip/name
Name:		sarg
Version:	2.2.7.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Monitoring
URL:		http://sarg.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/sarg/%{name}-%{version}.tar.gz
Source1:	0sarg.daily
Source2:	0sarg.weekly
Source3:	0sarg.monthly
Source4:	sarg.conf.mandriva
Patch1:		sarg-2.2.3.1-lots-of-compiler-warnings.patch
Patch2:		sarg-2.2.3.1-rewind.patch
Patch3:		sarg-2.2.5-avx-fix_segfault.patch
Patch4:		sarg-2.2.5-avx-make-getword-better.patch
Patch5:		sarg-2.2.5-avx-make_useragent_prettier.patch
Patch6:		sarg-2.2.5-avx-too_small_font_buffer.patch
Patch7:		sarg-2.2.5-enlarge_report_buffers.patch
Patch8:		sarg-2.2.5-limit_sprintf.patch
Requires:	squid
Requires:	bash
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Sarg (was Sqmgrlog) generate reports per user/ip/name from SQUID log file.
The reports will be generated in HTML or email.

%prep

%setup -q
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1
#%patch6 -p1
#%patch7 -p1
#%patch8 -p0

%build
chmod a+x cfgaux languages include
%configure2_5x \
    --enable-bindir=%{_sbindir} \
    --enable-sysconfdir=%{_sysconfdir}/%{name} \
    --sysconfdir=%{_sysconfdir}/%{name} \
    --enable--mandir=%{buildroot}%{_mandir}


mkdir -p %{buildroot}/%{_mandir}/man1
perl -p -i -e 's|/usr/share/man/man1|%{buildroot}/usr/share/man/man1|' $RPM_BUILD_DIR/%name-%version/Makefile
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/{%_sbindir,%_datadir/%name,%_sysconfdir/%name}
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/squid
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/squid/{daily,weekly,monthly}
%makeinstall BINDIR=$RPM_BUILD_ROOT%{_sbindir} SYSCONFDIR=$RPM_BUILD_ROOT%{_datadir}/%{name} MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/0%{name}
mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.weekly/0%{name}
mkdir -p $RPM_BUILD_ROOT/etc/cron.monthly
install -m 0755 %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.monthly/0%{name}
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/%{name}.conf
ln -sf %_sysconfdir/%{name}/%{name}.conf $RPM_BUILD_ROOT/%{_datadir}/%{name}/%{name}.conf
mv $RPM_BUILD_ROOT/%{_datadir}/%{name}/exclude_codes $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/exclude_codes

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,squid)
%doc CONTRIBUTORS DONATIONS ChangeLog
%{_mandir}/man1/*
%attr(0755,root,squid) %{_sbindir}/%{name}*
%attr(0755,root,squid) %dir %{_sysconfdir}/%{name}
%attr(0664,root,squid) %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%attr(0755,root,squid) %dir %{contentdir}/html/squid
%attr(0755,root,squid) %dir %{contentdir}/html/squid/daily
%attr(0755,root,squid) %dir %{contentdir}/html/squid/weekly
%attr(0755,root,squid) %dir %{contentdir}/html/squid/monthly
%{_datadir}/%{name}
%config(noreplace) %attr(0754,root,squid) %{_sysconfdir}/cron.*/*
%config(noreplace) %attr(0644,root,squid) %{_sysconfdir}/%{name}/exclude_codes


%changelog
* Tue Apr 06 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 2.2.7.1-2mdv2010.1
+ Revision: 532432
- Fixin #58604

* Fri Mar 19 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 2.2.7.1-1mdv2010.1
+ Revision: 525294
+ rebuild (emptylog)

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 2.2.5-7mdv2010.0
+ Revision: 442815
- rebuild

* Wed Mar 11 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.5-6mdv2009.1
+ Revision: 353865
- rediffed one patch
- sync patches with opensuse (P7,P8)

* Thu Oct 30 2008 Gustavo De Nardin <gustavodn@mandriva.com> 2.2.5-5mdv2009.1
+ Revision: 298703
- redirect output of sarg to /dev/null also in weekly cron run (#41309)

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 2.2.5-4mdv2009.0
+ Revision: 260491
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 2.2.5-3mdv2009.0
+ Revision: 251922
- rebuild

* Thu Mar 27 2008 Gustavo De Nardin <gustavodn@mandriva.com> 2.2.5-1mdv2008.1
+ Revision: 190779
- updated to 2008.0 main/updates v2.2.5 package, which is much better the current cooker/2008.1 v2.2.3.1 one

* Wed Mar 12 2008 Gustavo De Nardin <gustavodn@mandriva.com> 2.2.3.1-5mdv2008.1
+ Revision: 187171
- don't strip the binary at install, let rpmbuild make the debug package
- fixed License tag to follow policy

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.3.1-4mdv2008.1
+ Revision: 179491
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 20 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.3.1-3mdv2008.0
+ Revision: 91484
- added 3 patches from gentoo to stop it from segfaulting all the time
- added naat related fixes in the cron scripts

* Fri Jun 08 2007 Adam Williamson <awilliamson@mandriva.org> 2.2.3.1-2mdv2008.0
+ Revision: 37192
- clean buildroot in %%install

* Fri Jun 08 2007 Adam Williamson <awilliamson@mandriva.org> 2.2.3.1-1mdv2008.0
+ Revision: 37188
- rebuild for new era
- clean %%files
- install to %%_datadir since almost everything is static data, not config files
- update and actually use custom config file
- drop patches (no longer needed)
- clean spec
- new release 2.2.3.1


* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.4.1-4mdk
- Rebuild

* Wed Aug 04 2004 Florin <florin@mandrakesoft.com> 1.4.1-3mdk
- rebuild for cooker

* Mon Jun 21 2004 Florin <florin@mandrakesoft.com> 1.4.1-2mdk
- add patch (thx to  Randy Welch)
- change url
- add sort patch

* Fri Aug 29 2003 Florin <florin@mandrakesoft.com> 1.4.1-1mdk
- changing name (thx to D. Walser)

* Thu Aug 28 2003 Florin <florin@mandrakesoft.com> 1.4-1.1mdk
- 1.4.1

* Fri Apr 04 2003 Florin <florin@mandrakesoft.com> 1.4-1mdk
- 1.4
- use MANDIR in make install
- fix a typo

* Fri Jan 24 2003 Florin <florin@mandrakesoft.com> 1.3-0.PRE2.2mdk
- some fixes in the cronfiles and the conf file (thx to luigiwalser)

* Mon Jan 13 2003 Florin <florin@mandrakesoft.com> 1.3-0.PRE2.1mdk
- 1.3-PRE2
- add the man page

* Thu Jun 27 2002 Florin <florin@mandrakesoft.com> 1.2.2-2mdk
- update the crons (thx to K.Vaggelis for pointing this out)

* Thu Jun 20 2002 Florin <florin@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2
- update the crontabs

* Fri Apr 05 2002 Florin <florin@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1
- cron files permission
- config noreplace

* Fri Nov 16 2001 Florin <florin@mandrakesoft.com> 1.2.0-0.Beta2.1mdk
- first Mandrake release

* Wed Apr 04 2001 Sergei Dushankov <dusha@dnttm.ru>
- Updated to Sarg 1.1.1 (released with Latvian language support)

* Thu Mar 29 2001 Sergei Dushenkov <dusha@dnttm.ru>
- Updated to Sarg 1.1.1
- bin location changed to /usr/sbin
- sample crontab is located now in /etc/sarg/sarg.cron

* Sat Mar 24 2001 Sergei Dushenkov <dusha@dnttm.ru>
- Updated to Sarg 1.1
- corrections made to sarg.monthly script, now it works properly
- all scripts are now put as additional to main source, so that original
  distribution can be leaved intacted.

* Wed Mar 14 2001 Alexander Kreschenko <akr@torba.com>
- Packaging of sarg 1.0, eliminating local/sbin dir
- some chandes in sarg.conf (please revise)
- some cosmetix changes in the package
- default laguage Russian-koi8
- many fixes in rpm

* Tue Mar 06 2001 Sergei Dushenkov <dusha@dnttm.ru>
- Icluded sqmgrlog.* scripts, squid.counter and sample crontab

* Mon Mar 05 2001 Sergei Dushenkov <dusha@dnttm.ru>
- upgrading to 3.0.1

* Sun Mar 04 2001 Sergei Dushenkov <dusha@dnttm.ru>
- upgrading to 3.0
- including three patches (totday, nbsp, topsites)

* Thu Nov 09 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.12
- dropping compat builds
- adding contentdir macro and /var/www to %%files

* Tue Jul 11 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.11

* Sat Jun 10 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.10

* Wed Mar 15 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.9

* Sat Feb 26 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.8

* Tue Feb 22 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- rebuild from 2.9.7 "fresh sources"

* Thu Feb 17 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.7

* Tue Feb 01 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- changing spec allowing "compat" builds on RH6.x

* Fri Jan 21 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.6

* Thu Jan 13 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.5
- added striping of binary

* Tue Nov 30 1999 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.4
- changing defaults to RedHat's

* Thu Nov 25 1999 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- added userip patch for -p support on .conf (user_ip tag)
- added requires: squid
- added ip2name patch for fixing bug on -p and user report

* Tue Nov 23 1999 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- initial SPEC

